Skip to content

Update a comment on a post in the feed

Request

Update an existing comment record. The body attribute can be provided and only those provided will be updated.

Response body data will be the updated record. Upon enabling expanded reactions types, the response will include the additional reaction types.

You may indicate a mention of a specific user by providing their user_id in the format of either {ref:user:<user_id>} or {ref:user::id:<user_id>}.

Security
oauth2_as_a_user(Required scopes: feeds.engage)
Path
content_idintegerrequired

ID or UUID of the content post.

comment_idinteger or stringrequired
One of:

ID or UUID of the comment post

integer
Bodyapplication/json

Comment data

bodystringrequired

Comment body

Example:"This is an updated comment."
attachmentsArray of objects

An array of images to be associated with this comment. Note: currently only one image is supported. Note: This API does not resize or rehost images. The image should be appropriately sized and will be served from the provided URL.

curl -i -X PUT \
  'https://partner.socialchorus.com/v2/feed/posts/{content_id}/comments/{comment_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "body": "This is an updated comment.",
    "attachments": [
      {
        "url": "string",
        "alt_text": "string"
      }
    ]
  }'

Responses

Success

Bodyapplication/json
dataArray of objects(Feed.Comment.Resource)
Response
{ "data": [ { … } ] }